QBI Software

QBI 3.91 Upgrade


The upgrade price is for owners of QBI 3.50 or greater who's current year of support has expired, and must be for the same domain name as the prior full-price purchase. Includes updates and support for one additional year. Prior purchase will be verified before product is delivered.

Quickbooks Requirements:
Quickbooks Pro, Premier, or Enterprise for Windows, US versions only, 2013-2018 officially supported (Mac and Online not supported).

Server Requirements:
PHP 5.6 (PHP 7.x not yet supported), MySQL or Maria 5.5 or higher, ionCube loader 5.0 or higher. The ionCube loader is normally already installed on your server but can be easily installed if not.

Add to Cart:

  • Model: LS QBI3UP

Customers who bought this product also purchased...

Your IP Address is:
Copyright © 2018 QBI Software LLC. Powered by Zen Cart